require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddMeal(MealType.PASTA, "fettucine", false);
SManager:AddMeal(MealType.VEGGIE, "veggie", true);
SManager:AddMeal(MealType.CHICKEN, "chickenMarsala", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMLosAngeles", true);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMNewYork", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMHouston", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.MEAL, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");